#
# spec file for package python-py-bcrypt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-py-bcrypt
Version:        0.4
Release:        8.5
Url:            http://www.mindrot.org/py-bcrypt.html
Summary:        Blowfish password hashing
License:        BSD-3-Clause and BSD-4-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/py-bcrypt/py-bcrypt-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
py-bcrypt is an implementation the OpenBSD Blowfish password hashing
algorithm, as described in "A Future-Adaptable Password Scheme" by 
Niels Provos and David Mazieres.

This system hashes passwords using a version of Bruce Schneier's
Blowfish block cipher with modifications designed to raise the cost
of off-line password cracking. The computation cost of the algorithm 
is parametised, so it can be increased as computers get faster.

%prep
%setup -q -n py-bcrypt-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
PYTHONPATH=%{buildroot}%{python_sitearch} python test/test.py

%files
%defattr(-,root,root,-)
%doc LICENSE README TODO
%{python_sitearch}/*

%changelog
* Thu Apr 16 2015 hpj@urpla.net
- enable checks
- keep debuginfo files
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 0.4
  + No changelog available
- Remove unwanted %%py_requires macro
- %%{python_sitearch} need to get define only with SLE11; add conditional
  version macro
- Add download Url as source
- Add usual documentation from tarball
* Tue Jun 12 2012 cfarrell@suse.com
- license update: BSD-3-Clause and BSD-4-Clause
* Tue Feb  7 2012 cthiel@suse.com
- initial package (version 0.2)
